#include<bits/stdc++.h>
using namespace std;
int n,k,x,a,b,c;
int niz[1005];
int main(){
   cin>>n>>k>>x;
   a=x+1;
   b=2*x+1;
   c=x+2;
   cout<<1<<" "<<a<<" "<<b<<" ";
   for(int i=1;i<=n-3;i++){
    cout<<c<<" ";
   }

  return 0;
}